problems with setting up openwns

Bug #406675 reported by Jacky Shen on 2009-07-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openWNS-Application
Undecided
Unassigned

Bug Description

Problems:
When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.

Other information:
1/The openwns source code are the "openwns-sdk.tgz" download from "http://www.openwns.org/Wiki/Download".

2/The versions of software used are the below
Python :2.6.2
GCC: 4.3.3
boost: 1.39.0
Bazaar: 1.16.1
cppunit:1.12.1
scons: 1.2.0

3/Operating system core is Linux 2.6.9.22 Elsmp

4/I did not use the Bazaar online.

It will be thankful if you help to resolve it.I had worked with it for three days.

Hi,

I'm not sure which exact sources are in the openwns-sdk.tgz folder.
Could I please ask you to check out the latest version using Bazaar:

bzr branch lp:openwns-sdk myOpenWNS
cd myOpenWNS
./playground.py upgrade --noAsk
./playground.py install

Should exit with "done building targets"

then you can do "cd tests/unit/unitTests" and run "./openwns" hopefully without error.

Greats,

Maciej Muehleisen

Jacky Shen wrote:
> Public bug reported:
>
> Problems:
> When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
> When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.
>
> Other information:
> 1/The openwns source code are the "openwns-sdk.tgz" download from "http://www.openwns.org/Wiki/Download".
>
> 2/The versions of software used are the below
> Python :2.6.2
> GCC: 4.3.3
> boost: 1.39.0
> Bazaar: 1.16.1
> cppunit:1.12.1
> scons: 1.2.0
>
> 3/Operating system core is Linux 2.6.9.22 Elsmp
>
> 4/I did not use the Bazaar online.
>
> It will be thankful if you help to resolve it.I had worked with it for
> three days.
>
> ** Affects: openwns-pywns
> Importance: Undecided
> Status: New
>
>

Correction:

please run "./openwns -tv" once you have done the previous steps. But
the missing "-tv" option should not be the problem for your described
bug (but you might want to check if "-tv" helps).

Greats,

Mac

Maciej Muehleisen wrote:
> Hi,
>
> I'm not sure which exact sources are in the openwns-sdk.tgz folder.
> Could I please ask you to check out the latest version using Bazaar:
>
> bzr branch lp:openwns-sdk myOpenWNS
> cd myOpenWNS
> ./playground.py upgrade --noAsk
> ./playground.py install
>
> Should exit with "done building targets"
>
> then you can do "cd tests/unit/unitTests" and run "./openwns" hopefully
> without error.
>
> Greats,
>
> Maciej Muehleisen
>
>
>
> Jacky Shen wrote:
>
>> Public bug reported:
>>
>> Problems:
>> When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
>> When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.
>>
>> Other information:
>> 1/The openwns source code are the "openwns-sdk.tgz" download from "http://www.openwns.org/Wiki/Download".
>>
>> 2/The versions of software used are the below
>> Python :2.6.2
>> GCC: 4.3.3
>> boost: 1.39.0
>> Bazaar: 1.16.1
>> cppunit:1.12.1
>> scons: 1.2.0
>>
>> 3/Operating system core is Linux 2.6.9.22 Elsmp
>>
>> 4/I did not use the Bazaar online.
>>
>> It will be thankful if you help to resolve it.I had worked with it for
>> three days.
>>
>> ** Affects: openwns-pywns
>> Importance: Undecided
>> Status: New
>>
>>
>>
>
>

Download full text (3.9 KiB)

Hi,

Thank you for your help.
But there are something wrong with my Bazaar.I could not connect with Bazarr at all.
Whenever the "bzr branch lp:openwns-sdk myOpenWNS" was set,"bzr ERROR [Errno 110] Connection timed out" would be got.
I use proxy when connecting to Internet,maybe this is the reason.I don't know if the proxy works well with Bazaar.

Is there another method to get the lastest version?

BTW
I trid to use the Bazaar under windows.It did not work either.

D:\tools\Bazaar>bzr branch https://code.launchpad.net/~comnets/openwns-sdk/sdk--
main--1.0
bzr: ERROR: Connection error: while sending OPTIONS /~comnets/openwns-sdk/sdk--m
ain--1.0/: (10060, 'Operation timed out')

BR
Shen.

2009-07-31

***************************************************************************************
  本邮件及其附件含有华为公司的保密信息,仅限于发送给上面地址中列出的个人或群组。禁止任何其他人以任何形式使用(包括但不限于全部或部分地泄露、复制、或散发)本邮件中的信息。如果您错收了本邮件,请您立即电话或邮件通知发件人并删除本邮件!
**************************************************************************************

英文版:
***************************************************************************************
This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

发件人: Maciej Muehleisen
发送时间: 2009-07-30 21:30:42
收件人: <email address hidden>
抄送:
主题: Re: [openWNS-develop] [Bug 406675] [NEW] problems with setting upopenwns

Hi,

I'm not sure which exact sources are in the openwns-sdk.tgz folder.
Could I please ask you to check out the latest version using Bazaar:

bzr branch lp:openwns-sdk myOpenWNS
cd myOpenWNS
./playground.py upgrade --noAsk
./playground.py install

Should exit with "done building targets"

then you can do "cd tests/unit/unitTests" and run "./openwns" hopefully
without error.

Greats,

Maciej Muehleisen

Jacky Shen wrote:
> Public bug reported:
>
> Problems:
> When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
> When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.
>
> Other information:
> 1/The openwns source code are the "openwns-sdk.tgz" download from "http://www.openwns.org/Wiki/Download".
>
> 2/The versions of software used are the below
> Python :2.6.2
> GCC: 4.3.3
> boost: 1.39.0
> Bazaar: 1.16.1
> cppunit:1.12.1
> scons: 1.2.0
>
> 3/Operating system core is Linux 2.6.9.22 Elsmp
>
> 4/I did not use the Bazaar online.
>
> It will be thankful if you help to resolve it.I had worked with it for
> three days.
>
> ** Affects: openwns-pywns
> Importance: Undecided
> Status: New
>
>

--
problems with setting up openwns
https://bugs.launchpad.net/bugs/406675
You received this bug notification beca...

Read more...

Download full text (4.3 KiB)

Hi,

Thank you for your help.
But there are something wrong with my Bazaar.I could not connect with Bazarr at all.
Whenever the "bzr branch lp:openwns-sdk myOpenWNS" was set,"bzr ERROR [Errno 110] Connection timed out" would be got.
I use proxy when connecting to Internet,maybe this is the reason.I don't know if the proxy works well with Bazaar.

Is there another method to get the lastest version?

BTW
I trid to use the Bazaar under windows.It did not work either.

D:\tools\Bazaar >bzr branch https://code.launchpad.net/~comnets/openwns-sdk/sdk--
main--1.0
bzr: ERROR: Connection error: while sending OPTIONS /~comnets/openwns-sdk/sdk--m
ain--1.0/: (10060, 'Operation timed out')

BR
Shen.

2009-07-31

2009-07-31

***************************************************************************************
  本邮件及其附件含有华为公司的保密信息,仅限于发送给上面地址中列出的个人或群组。禁止任何其他人以任何形式使用(包括但不限于全部或部分地泄露、复制、或散发)本邮件中的信息。如果您错收了本邮件,请您立即电话或邮件通知发件人并删除本邮件!
**************************************************************************************

英文版:
***************************************************************************************
This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

发件人: Maciej Muehleisen
发送时间: 2009-07-30 22:35:31
收件人: <email address hidden>
抄送:
主题: Re: [openWNS-bugsquad] [openWNS-develop] [Bug 406675] [NEW] problemswith setting up openwns

Correction:

please run "./openwns -tv" once you have done the previous steps. But
the missing "-tv" option should not be the problem for your described
bug (but you might want to check if "-tv" helps).

Greats,

Mac

Maciej Muehleisen wrote:
> Hi,
>
> I'm not sure which exact sources are in the openwns-sdk.tgz folder.
> Could I please ask you to check out the latest version using Bazaar:
>
> bzr branch lp:openwns-sdk myOpenWNS
> cd myOpenWNS
> ./playground.py upgrade --noAsk
> ./playground.py install
>
> Should exit with "done building targets"
>
> then you can do "cd tests/unit/unitTests" and run "./openwns" hopefully
> without error.
>
> Greats,
>
> Maciej Muehleisen
>
>
>
> Jacky Shen wrote:
>
> > Public bug reported:
> >
> > Problems:
> > When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
> > When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.
> >
> > Other information:
> > 1/The openwns source code are the "openwns-sdk.tgz" download from "http://www.openwns.org/Wiki/Download".
> >
> > 2/The versions of software used are the below
> > Python :2.6.2
> > GCC: 4.3.3
> > boost: 1.39.0
> > Bazaar: 1.16.1
> > cppunit:1.12.1
> > scons: 1.2.0
> >
> > 3/Operating system cor...

Read more...

Hi Shen,

perhaps you can try to set the environment variable http_proxy in your shell (under linux) like this:

    export http_proxy='YOUR_HTTP_PROXY:PORT'

after that try

    bzr branch https://code.launchpad.net/~comnets/openwns-sdk/sdk--main--1.0

again.

    -- Marc

affects: openwns-pywns → openwns-application

Hi,

I hope the "export http_proxy" thing works. Unfortunately I know for
sure that it does not work if the proxy requires authentification. I
have uploaded the newest tgz to
http://www.openwns.org/Wiki/Download?action=AttachFile&do=get&target=openwns-sdk.tgz

Anyways please try first if you can get bazaar to use the proxy. This
makes things lot easier when it comes to send patches for bugfixes etc.

If possible and if you have a machine available / the rights to do so in
your company please install Ubuntu Linux 8.04 or 8.10 and get the
following additional packages using:

apt-get install build-essential scons libboost-dev libboost-filesystem libboost-program-options-dev libboost-date-time libboost-signals bzr libcppunit-dev python2.5-dev

Else please tell me what Linux distribution you are using.

Greats,

Maciej

Marc Schinnenburg wrote:
> Hi Shen,
>
> perhaps you can try to set the environment variable http_proxy in your
> shell (under linux) like this:
>
> export http_proxy='YOUR_HTTP_PROXY:PORT'
>
> after that try
>
> bzr branch https://code.launchpad.net/~comnets/openwns-sdk/sdk--main
> --1.0
>
> again.
>
> -- Marc
>
> ** Project changed: openwns-pywns => openwns-application
>
>

Download full text (3.5 KiB)

Hi,

I will try the lastest tgz at first and tell you the result.And then I will
install Ubuntu Linux 8.04 or 8.10.

Yes, I think the proxy require authentification.

Linux distribution I use is Linux 2.6.9.22 Elsmp.

Thank you very much,your help is very important and useful.

BR
Shen

2009-08-03

***************************************************************************************
  本邮件及其附件含有华为公司的保密信息,仅限于发送给上面地址中列出的个人或群组。禁止任何其他人以任何形式使用(包括但不限于全部或部分地泄露、复制、或散发)本邮件中的信息。如果您错收了本邮件,请您立即电话或邮件通知发件人并删除本邮件!
**************************************************************************************

英文版:
***************************************************************************************
This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

发件人: Maciej Muehleisen
发送时间: 2009-07-31 22:55:43
收件人: <email address hidden>
抄送:
主题: Re: [openWNS-bugsquad] [Bug 406675] Re: problems with setting upopenwns

Hi,

I hope the "export http_proxy" thing works. Unfortunately I know for
sure that it does not work if the proxy requires authentification. I
have uploaded the newest tgz to
http://www.openwns.org/Wiki/Download?action=AttachFile&do=get&target=openwns-sdk.tgz

Anyways please try first if you can get bazaar to use the proxy. This
makes things lot easier when it comes to send patches for bugfixes etc.

If possible and if you have a machine available / the rights to do so in
your company please install Ubuntu Linux 8.04 or 8.10 and get the
following additional packages using:

apt-get install build-essential scons libboost-dev libboost-filesystem
libboost-program-options-dev libboost-date-time libboost-signals bzr
libcppunit-dev python2.5-dev

Else please tell me what Linux distribution you are using.

Greats,

Maciej

Marc Schinnenburg wrote:
> Hi Shen,
>
> perhaps you can try to set the environment variable http_proxy in your
> shell (under linux) like this:
>
> export http_proxy='YOUR_HTTP_PROXY:PORT'
>
> after that try
>
> bzr branch https://code.launchpad.net/~comnets/openwns-sdk/sdk--main
> --1.0
>
> again.
>
> -- Marc
>
> ** Project changed: openwns-pywns = > openwns-application
>
>

--
problems with setting up openwns
https://bugs.launchpad.net/bugs/406675
You received this bug notification because you are a direct subscriber
of the bug.

Status in openWNS Application: New

Bug description:
Problems:
When I use command "./openwns" in the unitests folder,"Segmentation fault" will be got.
When I use command "./openwns" in the opt/bin/openwns folder,"Fatal python error: Interpreter not initialized (version mismatch?)Aborted" will be got.

Other information:
1/The openwns source code are the "openwns-sdk.tgz" download f...

Read more...

Changed in openwns-application:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers